<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta content="dark" name="color-scheme">
    <meta content="summary_large_image" name="twitter:card">
    <meta content="{{ url_for('img_raw', id=img_id) }}" name="twitter:image">
    <meta content="{{ url_for('img_raw', id=img_id) }}" name="twitter:image:src">
    <meta content="{{ url_for('img_raw', id=img_id) }}" property="og:image">
    {% if embed_color_on %}
    <meta content="{{ embed_color }}" name="theme-color">
    {% endif %}
    {% if embed_title_on %}
    <meta content="{{ embed_title }}" property="og:title">
    <meta content="{{ embed_title }}" name="twitter:title">
    {% endif %}
    {% if embed_desc_on %}
    <meta content="{{ embed_desc }}" name="twitter:description">
    <meta content="{{ embed_desc }}" property="og:description">
    {% endif %}
    {% if embed_adv %}
    <link href="{{ url_for('get_embed', id=img_id, _external=True) }}" type="application/json+oembed">
    {% endif %}
    <title>{{ name }} v{{ version }} | {{ img_name }}</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-dark-5@1.0.2/dist/css/bootstrap-night.min.css" rel="stylesheet">
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-dark" style="background-color: var(--bs-gray);">
    <div class="container-fluid">
        <a class="navbar-brand" href="{{ url_for('home') }}">{{ name }}</a>
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
                <a class="nav-link active" href="{{ url_for('home') }}">home</a>
            </li>
        </ul>
    </div>
</nav>

<div class="container mt-4">
    {% with messages = get_flashed_messages() %}
    {% if messages %}
    {% for message in messages %}
    <div class="alert alert-warning alert-dismissible fade show" role="alert">
        {{ message }}
        <button aria-label="Close" class="btn-close" data-bs-dismiss="alert" type="button"></button>
    </div>
    {% endfor %}
    {% endif %}
    {% endwith %}

    <div class="d-flex justify-content-center align-items-center">
        <div class="card text-center">
            <img alt="Image" class="card-img-top" src="{{ url_for('img_raw', id=img_id) }}">
            <hr class="dropdown-divider">
            <div class="card-body">
                <h1 class="card-title">{{ img_name + img_ext }}</h1>
                <p class="card-text" style="font-size: 1.5rem;">
                    <strong>ID:</strong> {{ img_id }}
                    <br>
                    <strong>Size:</strong> {{ size_kb }} KB ({{ size_mb }} MB)
                    <br>
                    <strong>Uploaded by:</strong> {{ uploaded_by }} (UID {{ uploaded_uid }})
                    <br>
                    <strong>Uploaded at:</strong> {{ uploaded_at }} UTC
                </p>
                <a class="btn btn-primary" href="{{ url_for('img_raw', id=img_id) }}">View raw</a>
            </div>
        </div>
    </div>
</div>

<script crossorigin="anonymous" src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js">
</script>
</body>

</html>